cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ldel...@apache.org
Subject [4/7] git commit: Note that cordova-lib depends on cordova-js. Update command for testing plugman.
Date Thu, 18 Sep 2014 17:27:52 GMT
Note that cordova-lib depends on cordova-js. Update command for testing plugman.


Project: http://git-wip-us.apache.org/repos/asf/cordova-coho/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-coho/commit/44f746d0
Tree: http://git-wip-us.apache.org/repos/asf/cordova-coho/tree/44f746d0
Diff: http://git-wip-us.apache.org/repos/asf/cordova-coho/diff/44f746d0

Branch: refs/heads/CB-7471
Commit: 44f746d09dbc6bd1e65c9f2f12a2ccdfdad4a50f
Parents: f2badeb
Author: Marcel Kinard <cmarcelk@gmail.com>
Authored: Tue Sep 16 21:28:40 2014 -0400
Committer: Marcel Kinard <cmarcelk@gmail.com>
Committed: Tue Sep 16 21:29:37 2014 -0400

----------------------------------------------------------------------
 docs/tools-release-process.md | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-coho/blob/44f746d0/docs/tools-release-process.md
----------------------------------------------------------------------
diff --git a/docs/tools-release-process.md b/docs/tools-release-process.md
index ce05583..b3d9c78 100644
--- a/docs/tools-release-process.md
+++ b/docs/tools-release-process.md
@@ -82,7 +82,7 @@ Ensure uninstall doesn't cause errors:
 
 Ensure that mobilespec creates okay via plugman:
 
-    cordova-mobile-spec/createmobilespecandroid-usingplugman.sh
+    cordova-mobile-spec/createmobilespec/createmobilespec.js --plugman --android
     (cd mobilespec-android && cordova/run)
 
 Ensure unit tests pass:
@@ -124,6 +124,8 @@ Update the version of cordova-lib that cli and plugman depend on:
     sed -i '' -E 's/"cordova-lib":.*/"cordova-lib": "'$v'",/' cordova-cli/package.json
     sed -i '' -E 's/"cordova.lib":.*/"cordova-lib": "'$v'",/' cordova-plugman/package.json
 
+Update the version of cordova-js that cordova-lib depends on. (TODO: why does this dependency
exist?)
+
 Create npm-shrinkwrap.json in lib, cli, and plugman. This is important especially when the
cli depends on specific versions of lib and similar, because the shrinkwrap overrules the
version dependencies in package.json. If the tools have any specific version dependencies,
verify they are correct in the shrinkwrap after you complete this step.
 
     (cd cordova-lib/cordova-lib; npm shrinkwrap;)


Mime
View raw message